#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	lazy-object-proxy
Summary:	A fast and thorough lazy object proxy
Summary(pl.UTF-8):	Szybkie i gruntowne leniwe proxy obiektów
Name:		python-%{module}
# keep 1.6.x here for python2 support
Version:	1.6.0
Release:	4
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/lazy-object-proxy/
Source0:	https://files.pythonhosted.org/packages/source/l/lazy-object-proxy/%{module}-%{version}.tar.gz
# Source0-md5:	0b99101615658aa711cb55c8db4930d5
URL:		https://github.com/ionelmc/python-lazy-object-proxy
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools >= 1:30.3.0
BuildRequires:	python-setuptools_scm >= 3.3.1
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-setuptools >= 1:30.3.0
BuildRequires:	python3-setuptools_scm >= 3.3.1
%endif
%if %{with doc}
BuildRequires:	python-sphinx_py3doc_enhanced_theme
BuildRequires:	sphinx-pdg-2 >= 1.3
%endif
Requires:	python-modules >= 1:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A fast and thorough lazy object proxy.

%description -l pl.UTF-8
Szybkie i gruntowne leniwe proxy obiektów.

%package -n python3-%{module}
Summary:	A fast and thorough lazy object proxy
Summary(pl.UTF-8):	Szybkie i gruntowne leniwe proxy obiektów
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
A fast and thorough lazy object proxy.

%description -n python3-%{module} -l pl.UTF-8
Szybkie i gruntowne leniwe proxy obiektów.

%package apidocs
Summary:	API documentation for lazy_object_proxy module
Summary(pl.UTF-8):	Dokumentacja API modułu lazy_object_proxy
Group:		Documentation

%description apidocs
API documentation for lazy_object_proxy module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu lazy_object_proxy.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%if %{with doc}
sphinx-build-2 -b html docs docs/_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGELOG.rst LICENSE README.rst
%dir %{py_sitedir}/lazy_object_proxy
%{py_sitedir}/lazy_object_proxy/*.py[co]
%attr(755,root,root) %{py_sitedir}/lazy_object_proxy/cext.so
%{py_sitedir}/lazy_object_proxy-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS.rst CHANGELOG.rst LICENSE README.rst
%dir %{py3_sitedir}/lazy_object_proxy
%{py3_sitedir}/lazy_object_proxy/*.py
%attr(755,root,root) %{py3_sitedir}/lazy_object_proxy/cext.cpython-*.so
%{py3_sitedir}/lazy_object_proxy/__pycache__
%{py3_sitedir}/lazy_object_proxy-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/{_static,*.html,*.js}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-lazy-object-proxy.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> cb57130
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 06c1a6a
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 218b13c
- rebuild with python 3.10

* Mon Mar 21 2022 Jakub Bogusz <qboosh@pld-linux.org> 5e0884b
- updated to 1.6.0

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 9e6295a
- setuptools epoch

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 22250bb
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 86c9b05
- release 2 (by relup.sh)

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 4362fcb
- updated to 1.4.3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e9335fe
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 747737d
- updated to 1.4.2, build docs

* Sat Oct 12 2019 Adam Gołębiowski <adamg@pld-linux.org> ed15725
- updated to 1.4.1

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 35c2e8c
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8289e6a
- python 3.6
- release 2 (by relup.sh)

* Mon Dec 07 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 1256c14
- new package

